Subject: bug#10085: 24.0.91; completion-pcm--find-all-completions returns wrong remote file names

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Nov 2011 18:05:52 -0500

>>> Start "emacs -Q". Apply "C-x C-f /sudo:: TAB". This results in
>>> "/sudo:sudo:root@". A correct expansion would be "/sudo:root@".
>> 
>> I haven't tracked this down yet, but while trying to I bumped into the
>> following problem:
>> 
>> emacs -Q
>> (completion-try-completion "/sudo::" 'completion-file-name-table nil t)
                                                                       ^^^
                                                                       7
Sorry!

> `expand-file-name' seems to access the remote host. This can be
> suppressed by let-binding of `non-essential' to t.

I think adding non-essential to rfn-eshadow.el would be even more
correct (but it doesn't fix the underlying problem).

        Stefan